# Interface SegmentInfo

interface SegmentInfo {
duration: number;
isEncrypted: boolean;
isMediaInitialization: boolean;
start: number;
type: SegmentType;
uri: string;
}

#####
Index

### Properties

duration
isEncrypted
isMediaInitialization
start
type
uri

## Properties

### duration

duration: number

### isEncrypted

isEncrypted: boolean

### isMediaInitialization

isMediaInitialization: boolean

### start

start: number

### type

type: SegmentType

### uri

uri: string